import type { Context, Next } from '@tachybase/actions';
import PluginWorkflowServer from '../../Plugin';
import Trigger from '../../triggers';
export declare class RequestInterceptionTrigger extends Trigger {
    static TYPE: string;
    sync: boolean;
    middleware: (context: Context, next: Next) => Promise<never>;
    constructor(workflow: PluginWorkflowServer);
    on(): void;
    off(): void;
}
